<template>
  <footer>
    <img class="rotating_logo"
      src="https://cdn.maximemoreillon.com/logo/thick/logo.svg"
      alt="">
    <div class="application_info">
      <div class="application_name">{{applicationName}}</div>
      <div class="author_name">Maxime MOREILLON</div>
    </div>
  </footer>
</template>

<script>


export default {
  name: 'TemplateFooter',
  props: {
    applicationName: {
      type: String,
    },
  },
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
footer {

  /* clearing the nav bar and leaving space for the border top*/
  margin: 0 10%;

  border-top: 1px solid #dddddd;

  padding: 1em;

  display: flex;
  justify-content: center;
  align-items: center;

}

footer .rotating_logo {
  width: 2.5em;
}

footer .application_info{
  margin-left: 0.5em;
}
</style>
